org.apache.ignite.internal.processors.cache

## Class CacheEntryImpl0<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheEntryImpl0<K,V>

All Implemented Interfaces:
  javax.cache.Cache.Entry<K,V>

    public class CacheEntryImpl0<K,V>
    extends Object
    implements javax.cache.Cache.Entry<K,V>

### Constructor Summary

Constructors
Constructor and Description
`CacheEntryImpl0(Map.Entry<K,V> e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`K` `getKey()`
`V` `getValue()`
`String` `toString()`
`<T> T` `unwrap(Class<T> cls)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheEntryImpl0

    public CacheEntryImpl0(Map.Entry<K,V> e)

Parameters:
  `e` - Entry.

### Method Detail

#### getKey

    public K getKey()

Specified by:
  `getKey` in interface `javax.cache.Cache.Entry<K,V>`

#### getValue

    public V getValue()

Specified by:
  `getValue` in interface `javax.cache.Cache.Entry<K,V>`

#### unwrap

    public <T> T unwrap(Class<T> cls)

Specified by:
  `unwrap` in interface `javax.cache.Cache.Entry<K,V>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020